#
# spec file for package perl-RPM2 (Version 0.68)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?perlgen:%define perlgen 5.8}
Summary:        RPM2 Perl module

Name:           perl-RPM2
Version:        0.68
Release:        1.4
Source0:        RPM2-%{version}.tar.gz
Patch0:         RPM2-0.68.dif
License:        Artistic License; GPL v2 or later
Group:          Development/Libraries
Url:            http://search.cpan.org/dist/RPM2/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
%endif

BuildRequires:  rpm-devel
%if "%{perlgen}" == "5.8"
BuildRequires:  perl >= 5.8.0
%if 0%{?suse_version}
BuildRequires:  libelf-devel
%else
BuildRequires:  elfutils-libelf-devel
%endif
BuildRequires:  libselinux-devel
BuildRequires:  zlib-devel
%else
BuildRequires:  perl >= 5.6.0
%endif

%description
RPM2 Perl module.



%{summary}.

%prep
%setup -q -n RPM2-%{version}
%patch0 -p0

%build
export EXTRALIBS="-lz"
%if "%{perlgen}" == "5.8"
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} installdirs=vendor
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%endif

make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib

%if "%{perlgen}" == "5.8"
make install
%else
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}
%endif

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x %{_prefix}/lib/rpm/brp-compress ] && %{_prefix}/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%dir %perl_vendorarch/auto/RPM2

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
